KDE 4.7 PyKDE API Reference

- KDE's Python API

# AudioOutput Class Reference

`from PyKDE4.phonon import *`

Inherits: Phonon.MediaNode
Namespace: Phonon

## Detailed Description

\class AudioOutput audiooutput.h phonon/AudioOutput Class for audio output to the soundcard.

Use this class to define the audio output.

Author:
  Matthias Kretz <kretz@kde.org>

See also:
  Phonon.Ui.VolumeSlider

## Signals

| mutedChanged (bool a0)
| outputDeviceChanged (Phonon::ObjectDescription<Phonon::AudioOutputDeviceType> newAudioOutputDevice)
| volumeChanged (float newVolume)

## Methods

| __init__ (self, Phonon::Category category, QObject parent=0)
| __init__ (self, QObject parent=0)
Phonon::Category | category (self)
bool | isMuted (self)
QString | name (self)
Phonon::ObjectDescription<Phonon::AudioOutputDeviceType> | outputDevice (self)
| setMuted (self, bool mute)
| setName (self, QString newName)
bool | setOutputDevice (self, Phonon::ObjectDescription<Phonon::AudioOutputDeviceType> newAudioOutputDevice)
| setVolume (self, float newVolume)
| setVolumeDecibel (self, float newVolumeDecibel)
float | volume (self)
float | volumeDecibel (self)

## Signal Documentation

mutedChanged | ( | bool | a0
| ) |  |  |

This signal is emitted when the muted property has changed. As this property can change by IPC (DBus) calls a UI element showing the muted property should listen to this signal.

Signal syntax:
  `QObject.connect(source, SIGNAL("mutedChanged(bool)"), target_slot)`

outputDeviceChanged | ( | Phonon::ObjectDescription<Phonon::AudioOutputDeviceType> | newAudioOutputDevice
| ) |  |  |

This signal is emitted when the (hardware) device for the output has changed.

The change can happen either through setOutputDevice or if the global configuration for the used category has changed.

See also:
  outputDevice

Signal syntax:
  `QObject.connect(source, SIGNAL("outputDeviceChanged(const Phonon::AudioOutputDevice&)"), target_slot)`

volumeChanged | ( | float | newVolume
| ) |  |  |

This signal is emitted whenever the volume has changed. As the volume can change without a call to setVolume (calls over dbus) this is important to keep a widget showing the current volume up to date.

Signal syntax:
  `QObject.connect(source, SIGNAL("volumeChanged(qreal)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | Phonon::Category | category,
|  | QObject | parent=0
| ) |  |  |

Creates a new AudioOutput that defines output to a physical device.

Parameters:

  category

  The category can be used by mixer applications to group volume controls of applications into categories. That makes it easier for the user to identify the programs. The category is also used for the default output device that is configured centrally. As an example: often users want to have the audio signal of a VoIP application go to their USB headset while all other sounds should go to the internal soundcard.

Parameters:

  | parent | QObject parent

See also:
  Phonon.categoryToString

See also:
  outputDevice

__init__ | ( | self, |
|  | QObject | parent=0
| ) |  |  |

Phonon::Category category | ( |  | self ) |

Returns the category of this output.

See also:
  AudioOutput(Phonon.Category, QObject *)

bool isMuted | ( |  | self ) |

QString name | ( |  | self ) |

Phonon::ObjectDescription<Phonon::AudioOutputDeviceType> outputDevice | ( |  | self ) |

setMuted | ( | self, |
|  | bool | mute
| ) |  |  |

setName | ( | self, |
|  | QString | newName
| ) |  |  |

bool setOutputDevice | ( | self, |
|  | Phonon::ObjectDescription<Phonon::AudioOutputDeviceType> | newAudioOutputDevice
| ) |  |  |

setVolume | ( | self, |
|  | float | newVolume
| ) |  |  |

setVolumeDecibel | ( | self, |
|  | float | newVolumeDecibel
| ) |  |  |

float volume | ( |  | self ) |

float volumeDecibel | ( |  | self ) |